syndication
PUT /v1/syndication/plans/{planId}
Change a plan's channels or behaviour.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "scope": <string<post, recipe, org_default>> }'Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
planId (path) | string | Sì | — |
Corpo della richiesta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
scope | string<post, recipe, org_default> | Sì | — |
post_id | string | No | — |
recipe_id | string | No | — |
enabled | boolean | No | — |
write_mode | string<ai_per_channel, one_text> | No | — |
approval_mode | string<hold, send> | No | — |
connection_ids | string[] | No | — |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | string | Sì | — |
scope | string<post, recipe, org_default> | Sì | Most specific wins — an article's own plan beats its recipe's beats the org default. |
post_id | string | Sì | — |
recipe_id | string | Sì | — |
enabled | boolean | Sì | — |
write_mode | string<ai_per_channel, one_text> | Sì | ⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing. |
approval_mode | string<hold, send> | Sì | ⚖️ Owner ruling 2026-08-20 — hold for approval by default. |
channels | SyndicationPlanChannel[] | Sì | — |
created_at | string | Sì | — |
Errori che questo endpoint può restituire
401 · 403 · 404